package imageutils

import (
	"image"
	"image/png"
	"io"
	"testing"
)

func BenchmarkConcat(b *testing.B) {
	var instance image.Image = image.NewRGBA(image.Rect(0, 0, 0, 0))
	pixel := SinglePixel{}

	for i := 0; i < b.N; i++ {
		instance = Concat(instance, pixel, Right)
	}
	err := png.Encode(
		io.Discard,
		instance,
	)
	if err != nil {
		panic(err)
	}
}
